package cn.service.atv;

import org.springframework.stereotype.Service;

/***列车表*/
public interface IAtvTrainService{
    /**
     *
     *
     * @param countryCode  国家编号
     * @param areaCode     地区编号
     * @param lineSn       线路编号
     * @param trainSn      车辆编号
     * @param onlineStatus 车辆在线状态
  */
    void trainOnlineStatus(String countryCode, String areaCode, String lineSn, String trainSn, Integer onlineStatus);
   
	
	
	/**
     * 添加一对多
    
    public void saveMain(AtvTrain atvTrain, List<AtvCarriage> atvCarriageList);
 */
    /**
     * 修改一对多
    
    public void updateMain(AtvTrain atvTrain, List<AtvCarriage> atvCarriageList);
 */
    /**
     * 删除一对多
    
    public void delMain(String id);
 */
    /**
     * 批量删除一对多
   
    public void delBatchMain(Collection<? extends Serializable> idList);
  */
    /**
     * 根据车辆编号获取车辆
     *
     * @param lineId 线路ID
     * @param sn     车辆编号
     * @return
    
    AtvTrain getBySn(String lineId, String sn);
 */
    /**
     * 删除车辆
     *
     * @param id 车辆ID
    
    boolean delete(String id);
 */
    /**
     * 根据车辆状态查询车辆
     *
     * @param countryId   国家ID
     * @param areaId      地区ID
     * @param lineId      线路ID
     * @param trainStatus 车辆状态
     * @return
    
    List<AtvTrain> findByTrainStatus(String countryId, String areaId, String lineId, Integer trainStatus);
 */
    /**
     * 查询故障车辆
     *
     * @param countryId 国家ID
     * @param areaId    地区ID
     * @param lineId    线路ID
     * @return
  
    List<AtvTrain> findFaultTrain(String countryId, String areaId, String lineId);
   */

    /**
     * 车辆监控查询车辆
     *
     * @param countryId 国家ID
     * @param areaId    地区ID
     * @param lineId    线路ID
     * @return
     
    List<AtvTrainResult> findAtvTrainResult(String countryId, String areaId, String lineId);
*/
    /**
     * 根据线路ID查询车辆
     *
     * @param lineId 线路ID
     * @return
    
    List<AtvTrain> findByLineId(String lineId);
 */
    /**
     * 复制车辆
     *
     * @param atvTrain 要复制的车辆
     * @param sn       新车辆编号
     * @return
     
    Result<?> copy(AtvTrain atvTrain, String sn);
*/
}
